Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleTreeAction

    java.lang.Object
      com.ibm.able.rules.AbleTreeAction

All Implemented Interfaces:
  java.io.Serializable

public class AbleTreeAction
extends java.lang.Object
implements java.io.Serializable

This class represents an action in a decision table or tree. It is made up of two partial expressions, a term (lhs) and value (operator and rhs).

See Also:
  Serialized Form

Field Summary
`protected AbleTreePartialExpression` | `term`
`protected java.lang.String` | `termRef`
`protected AbleTreePartialExpression` | `value`

Constructor Summary
`AbleTreeAction()` Create a new tree action object.
`AbleTreeAction(AbleTreePartialExpression newTerm, AbleTreePartialExpression newTreeValue)` Create a new tree action object with specified term (lhs) and value (operator and rhs).
`AbleTreeAction(java.lang.String newTermRef, AbleTreePartialExpression newTerm, AbleTreePartialExpression newTreeValue)` Create a new tree action object with specified termRef (if any), term (lhs) and value (operator and rhs).

Method Summary
`java.lang.String` | `getExpressionString()` Return a valid ARL (Java) expression by combining the term and value of this tree action.
`AbleTreePartialExpression` | `getTerm()` Return the term (lhs) of this tree action.
`AbleTreePartialExpression` | `getValue()` Get the value (operator and rhs) of this tree action.
`void` | `setTerm(AbleTreePartialExpression newTerm)` Set the term (lhs) of this tree action
`void` | `setTermRef(java.lang.String newTermRef)` Set the termRef (uid of a shared condition term or action term) for this node.
`void` | `setValue(AbleTreePartialExpression newValue)` Set the value (operator and rhs) of this tree action.
`java.lang.String` | `toString()` Return a formatted string representation of this action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### termRef

    protected java.lang.String termRef

### term

    protected AbleTreePartialExpression term

### value

    protected AbleTreePartialExpression value

Constructor Detail

### AbleTreeAction

    public AbleTreeAction()

  Create a new tree action object.

### AbleTreeAction

    public AbleTreeAction(AbleTreePartialExpression newTerm,
                          AbleTreePartialExpression newTreeValue)

  Create a new tree action object with specified term (lhs) and value (operator and rhs).

Parameters:
  `newTerm` -
  `newTreeValue` -

### AbleTreeAction

    public AbleTreeAction(java.lang.String newTermRef,
                          AbleTreePartialExpression newTerm,
                          AbleTreePartialExpression newTreeValue)

  Create a new tree action object with specified termRef (if any), term (lhs) and value (operator and rhs).

Parameters:
  `newTermRef` -
  `newTerm` -
  `newTreeValue` -

Method Detail

### getExpressionString

    public java.lang.String getExpressionString()

  Return a valid ARL (Java) expression by combining the term and value of this tree action.

  Returns:
    The ARL string expression.

### getTerm

    public AbleTreePartialExpression getTerm()

  Return the term (lhs) of this tree action.

  Returns:
    The lhs.

### setTermRef

    public void setTermRef(java.lang.String newTermRef)

  Set the termRef (uid of a shared condition term or action term) for this node.

  Parameters:
    `newTermRef` -

### setTerm

    public void setTerm(AbleTreePartialExpression newTerm)

  Set the term (lhs) of this tree action

  Parameters:
    `newTerm` -

### getValue

    public AbleTreePartialExpression getValue()

  Get the value (operator and rhs) of this tree action.

  Returns:
    The tree operator and rhs.

### setValue

    public void setValue(AbleTreePartialExpression newValue)

  Set the value (operator and rhs) of this tree action.

  Parameters:
    `newValue` -

### toString

    public java.lang.String toString()

  Return a formatted string representation of this action.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005